$packageName	= 'bystronic-lmu'
$packageSearch  = 'Bystronic LMU -*'
$version        = '70'
$installerType	= 'exe'
#eigentlich ein NSIS-Setup, jedoch komisch verkrueppelt, wie soll's auch anders sein
#/SD (silent, suppress messageboxes) klappt hier natuerlich nicht...
$silentArgs   	= '/S /v/qn'
$validExitCodes	= @(0,3010)
#$pwd		= "$(split-path -parent $MyInvocation.MyCommand.Definition)"
$url            ='\\unxfsv001\software\bblech\Bysoft\LicenseManagerUtility\Bystronic_License_Management_Utility_' + $version + '.exe'
$url64          = $url

  try {

    #LMU super setup abschiessen, falls es vom vorherigen puppet run laufen sollte...baeh...
    ps lmuInstall -ErrorAction SilentlyContinue | kill -PassThru -Force

    if (Test-Path $url) {
      Write-Host 'file on share found'
        $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
            'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
        -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }

      if ($app -and ($app.DisplayVersion -ge $version)) {
        Write-Host 'Bystronic License Management Utility (LMU)' $version 'or newer is already installed.'
      } else {
        #super Setup bringt "Erfolgsmeldung". Timeout in Puppet definieren (Install-ChocolateyPackage kann das nicht...baeh...)
        Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 -validExitCodes $validExitCodes
        ps Bystronic_License_Management_Utility70 -ErrorAction SilentlyContinue | kill -PassThru -Force
      }
    } else {
      Write-Warning 'can not access internal fileshare. setup will stop now'
        throw 'can not access share with installer'
    }
  } catch {
    throw $_.Exception
  }
